﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;

namespace Cookies
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            // Required to initialize variables
            InitializeComponent();
            tbText.Loaded += new System.Windows.RoutedEventHandler(tbText_Loaded);
        }

        private void btnCreate_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            if (!setCookie("ENAXOSTEST", tbText.Text))
            {
                MessageBox.Show("Le cookie n'a pu être créé (valeur vide par exemple)");
            }
            OkAnim.Begin();
        }

        private void btnRead_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            var s = getCookie("ENAXOSTEST");
            if (string.IsNullOrEmpty(s))
            {
                txtRead.Text = "AUCUNE VALUER N'A ETE LUE!";
                return;
            }
            txtRead.Text = s;
            txtReadAnim.Begin();
        }

        private bool setCookie(string key, string value)
        {
            if (string.IsNullOrEmpty(key) || string.IsNullOrEmpty(value))
            { return false; }
            DateTime dt = calExpiry.SelectedDate ?? DateTime.Now + new TimeSpan(1, 0, 0);
            string s = key.Trim() + "=" + value.Trim() + ";expires=" + dt.ToString("R");
            HtmlPage.Document.SetProperty("cookie", s);
            return true;
        }

        private string getCookie(string key)
        {
            string[] cookies = HtmlPage.Document.Cookies.Split(';');
            foreach (string cookie in cookies)
            {
                string[] pair = cookie.Split('=');
                if (pair.Length == 2)
                {
                    if (pair[0].ToString() == key)
                        return pair[1];
                }
            }
            return null;
        }

        private void tbText_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            tbText.Focus();
        }

        private void textBlock_MouseEnter(object sender, System.Windows.Input.MouseEventArgs e)
        {
            HelpEnterAnim.Begin();
        }

        private void textBlock_MouseLeave(object sender, System.Windows.Input.MouseEventArgs e)
        {
            HelpLeaveAnim.Begin();
        }

    }
}